Package org.kapott.hbci.sepa.jaxb.camt_052_001_04

## Class OriginalAndCurrentQuantities1

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_04.OriginalAndCurrentQuantities1

    public class OriginalAndCurrentQuantities1
    extends java.lang.Object

Java class for OriginalAndCurrentQuantities1 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="OriginalAndCurrentQuantities1">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="FaceAmt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}ImpliedCurrencyAndAmount"/>
             <element name="AmtsdVal" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}ImpliedCurrencyAndAmount"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected java.math.BigDecimal` `amtsdVal`
`protected java.math.BigDecimal` `faceAmt`

### Constructor Summary

Constructors
`OriginalAndCurrentQuantities1()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.math.BigDecimal` `getAmtsdVal()` Gets the value of the amtsdVal property.
`java.math.BigDecimal` `getFaceAmt()` Gets the value of the faceAmt property.
`void` `setAmtsdVal​(java.math.BigDecimal value)` Sets the value of the amtsdVal property.
`void` `setFaceAmt​(java.math.BigDecimal value)` Sets the value of the faceAmt property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### faceAmt

    protected java.math.BigDecimal faceAmt

#### amtsdVal

    protected java.math.BigDecimal amtsdVal

### Constructor Detail

#### OriginalAndCurrentQuantities1

    public OriginalAndCurrentQuantities1()

### Method Detail

#### getFaceAmt

    public java.math.BigDecimal getFaceAmt()

Gets the value of the faceAmt property.

Returns:
  possible object is `BigDecimal`

#### setFaceAmt

    public void setFaceAmt​(java.math.BigDecimal value)

Sets the value of the faceAmt property.

Parameters:
  `value` - allowed object is `BigDecimal`

#### getAmtsdVal

    public java.math.BigDecimal getAmtsdVal()

Gets the value of the amtsdVal property.

Returns:
  possible object is `BigDecimal`

#### setAmtsdVal

    public void setAmtsdVal​(java.math.BigDecimal value)

Sets the value of the amtsdVal property.

Parameters:
  `value` - allowed object is `BigDecimal`